Skip to main content
PUT
/
connect
/
robot
/
{robotId}
/
model
Sets InOrbit Connect model for robot
curl --request PUT \
  --url https://api.inorbit.ai/connect/robot/{robotId}/model \
  --header 'Content-Type: application/json' \
  --header 'x-auth-inorbit-app-key: <api-key>' \
  --data '
{
  "robotModel": "<string>"
}
'
{
  "error": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://inorbitinc.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-auth-inorbit-app-key
string
header
required

InOrbit appKey authenticates API requests using a token.

You can obtain your appKey in the Authentication docs.

Path Parameters

robotId
string
required

InOrbit robot ID

Body

application/json

Sets InOrbit Connect model for robot

robotModel
string
required

InOrbit Connect certified robot model

Response

Robot model assigned successfully.